Skip to main content
POST
https://{tenantDomain}/api/v2
/
client-grants
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.ClientGrants.Create(
        context.TODO(),
        &management.CreateClientGrantRequestContent{
            ClientId: "client_id",
            Audience: "audience",
            Scope: []string{
                "scope",
            },
        },
    )
}
{
  "id": "<string>",
  "client_id": "<string>",
  "audience": "<string>",
  "scope": [
    "<string>"
  ],
  "organization_usage": "deny",
  "allow_any_organization": true,
  "is_system": true,
  "subject_type": "client",
  "authorization_details_types": [
    "<string>"
  ],
  "allow_all_scopes": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

audience
string
required

The audience (API identifier) of this client grant

Minimum string length: 1
client_id
string

ID of the client.

organization_usage
enum<string>

Defines whether organizations can be used with client credentials exchanges for this grant.

Available options:
deny,
allow,
require
allow_any_organization
boolean
default:false

If enabled, any organization can be used with this grant. If disabled (default), the grant must be explicitly assigned to the desired organizations.

scope
string[]

Scopes allowed for this client grant.

Required string length: 1 - 280
subject_type
enum<string>

The type of application access the client grant allows.

Available options:
client,
user
authorization_details_types
string[]

Types of authorization_details allowed for this client grant.

Required string length: 1 - 255
allow_all_scopes
boolean

If enabled, all scopes configured on the resource server are allowed for this grant.

Response

Client grant successfully created.

id
string

ID of the client grant.

client_id
string

ID of the client.

audience
string

The audience (API identifier) of this client grant.

Minimum string length: 1
scope
string[]

Scopes allowed for this client grant.

Minimum string length: 1
organization_usage
enum<string>

Defines whether organizations can be used with client credentials exchanges for this grant.

Available options:
deny,
allow,
require
allow_any_organization
boolean

If enabled, any organization can be used with this grant. If disabled (default), the grant must be explicitly assigned to the desired organizations.

is_system
boolean

If enabled, this grant is a special grant created by Auth0. It cannot be modified or deleted directly.

subject_type
enum<string>

The type of application access the client grant allows.

Available options:
client,
user
authorization_details_types
string[]

Types of authorization_details allowed for this client grant.

Required string length: 1 - 255
allow_all_scopes
boolean

If enabled, all scopes configured on the resource server are allowed for this grant.